Subject: Re: [PATCH 07/17] net: mdio: mscc-miim: Handle the switch reset

From: Herve Codina <[email-masked]>
Date: Tue, 30 Apr 2024 17:40:44 +0200

Hi Andrew,

On Tue, 30 Apr 2024 15:46:18 +0200
Andrew Lunn <[email-masked]> wrote:

> On Tue, Apr 30, 2024 at 10:37:16AM +0200, Herve Codina wrote:
> > The mscc-miim device can be impacted by the switch reset, at least when
> > this device is part of the LAN966x PCI device.  
> 
> Just to be sure i understand this correctly. The MDIO bus master can
> be reset using the "switch" reset. So you are adding code to ensure
> the "switch" reset is out of reset state, so the MDIO bus master
> works.

Exactly.

> 
> Given that this is a new property, maybe give it a better name to
> indicate it resets both the switch and the MDIO bus master?
> 

Replied in the patch in the same series introducing the property
  [PATCH 06/17] dt-bindings: net: mscc-miim: Add resets property

Thanks for the feedback.
Best regards,
Hervé